Upstream information

CVE-2017-14859 at MITRE

Description

An Invalid memory address dereference was discovered in Exiv2::StringValueBase::read in value.cpp in Exiv2 0.26. The vulnerability causes a segmentation fault and application crash, which leads to denial of service.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 1061000 [RESOLVED / FIXED], 1061023 [REOPENED], 1068871 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15
  • exiv2 >= 0.26-6.3.1
  • libexiv2-26 >= 0.26-6.3.1
  • libexiv2-devel >= 0.26-6.3.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA libexiv2-26
SUSE-SLE-Module-Desktop-Applications-15-2018-1280
openSUSE Leap 15.0
  • exiv2 >= 0.26-lp150.5.3.1
  • exiv2-debuginfo >= 0.26-lp150.5.3.1
  • exiv2-debugsource >= 0.26-lp150.5.3.1
  • exiv2-lang >= 0.26-lp150.5.3.1
  • libexiv2-26 >= 0.26-lp150.4.8
  • libexiv2-26-32bit >= 0.26-lp150.5.3.1
  • libexiv2-26-32bit-debuginfo >= 0.26-lp150.5.3.1
  • libexiv2-26-debuginfo >= 0.26-lp150.5.3.1
  • libexiv2-devel >= 0.26-lp150.5.3.1
  • libexiv2-doc >= 0.26-lp150.5.3.1
Patchnames:
openSUSE Leap 15.0 GA libexiv2-26
openSUSE-2018-727
openSUSE Leap 42.2
  • exiv2 >= 0.25-7.3.1
  • exiv2-debuginfo >= 0.25-7.3.1
  • exiv2-debugsource >= 0.25-7.3.1
  • exiv2-lang >= 0.25-7.3.1
  • libexiv2-14 >= 0.25-7.3.1
  • libexiv2-14-32bit >= 0.25-7.3.1
  • libexiv2-14-debuginfo >= 0.25-7.3.1
  • libexiv2-14-debuginfo-32bit >= 0.25-7.3.1
  • libexiv2-devel >= 0.25-7.3.1
Patchnames:
openSUSE-2017-1180
openSUSE Leap 42.3
  • exiv2 >= 0.25-10.1
  • exiv2-debuginfo >= 0.25-10.1
  • exiv2-debugsource >= 0.25-10.1
  • exiv2-lang >= 0.25-10.1
  • libexiv2-14 >= 0.25-10.1
  • libexiv2-14-32bit >= 0.25-10.1
  • libexiv2-14-debuginfo >= 0.25-10.1
  • libexiv2-14-debuginfo-32bit >= 0.25-10.1
  • libexiv2-devel >= 0.25-10.1
Patchnames:
openSUSE-2017-1180

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Desktop 12 SP3
  • exiv2 >= 0.23-12.5.1
  • exiv2-debuginfo >= 0.23-12.5.1
  • exiv2-debugsource >= 0.23-12.5.1
  • libexiv2-12 >= 0.23-12.5.1
  • libexiv2-12-debuginfo >= 0.23-12.5.1
SUSE Linux Enterprise Server 12 SP3
  • exiv2 >= 0.23-12.5.1
  • exiv2-debuginfo >= 0.23-12.5.1
  • exiv2-debugsource >= 0.23-12.5.1
  • libexiv2-12 >= 0.23-12.5.1
  • libexiv2-12-debuginfo >= 0.23-12.5.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • exiv2 >= 0.23-12.5.1
  • exiv2-debuginfo >= 0.23-12.5.1
  • exiv2-debugsource >= 0.23-12.5.1
  • libexiv2-12 >= 0.23-12.5.1
  • libexiv2-12-debuginfo >= 0.23-12.5.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • exiv2 >= 0.23-12.5.1
  • exiv2-debuginfo >= 0.23-12.5.1
  • exiv2-debugsource >= 0.23-12.5.1
  • libexiv2-devel >= 0.23-12.5.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 exiv2 Not affected
SUSE Linux Enterprise Desktop 12 SP3 exiv2 In progress
SUSE Linux Enterprise Module for Desktop Applications 15 GA exiv2 Released
SUSE Linux Enterprise SDK 11 SP4 exiv2 Not affected
SUSE Linux Enterprise SDK 12 SP2 exiv2 Not affected
SUSE Linux Enterprise SDK 12 SP3 exiv2 In progress
SUSE Linux Enterprise Server 11 SP3 LTSS exiv2 Not affected
SUSE Linux Enterprise Server 11 SP4 exiv2 Not affected
SUSE Linux Enterprise Server 12 GA LTSS exiv2 Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS exiv2 Not affected
SUSE Linux Enterprise Server 12 SP2 exiv2 Not affected
SUSE Linux Enterprise Server 12 SP3 exiv2 In progress